#include <iostream>
using namespace std;
const int MAXN = 1005;
int a[MAXN], n, x, k, i;
void input(){
    cin >> n >> k >> x;
}
void solve(){
    if(k==3 && n==3){
        cout << 1 << " " << x+1 << " " << 1+2*x;
    }
    else if(k<n){
        cout << 1 << " ";
        for(i=2;i<=n-k;i++){cout << 2 << " ";}
        for(i=n-k+1;i<=n;i++){cout << 1+x << " ";}
    }
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    input();
    solve();

}